> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace



## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml put /edges/https/{edge_id}/routes/{id}/response_headers
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /edges/https/{edge_id}/routes/{id}/response_headers:
    put:
      tags:
        - EdgeRouteResponseHeadersModule
      summary: Replace
      operationId: EdgeRouteResponseHeadersModuleReplace
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: edge_id
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EdgeRouteResponseHeadersReplace'
      responses:
        '200':
          description: n/a
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointResponseHeaders'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    EdgeRouteResponseHeadersReplace:
      type: object
      properties:
        edge_id:
          description: n/a
          type: string
        id:
          description: n/a
          type: string
        module:
          $ref: '#/components/schemas/EndpointResponseHeaders'
          description: n/a
    EndpointResponseHeaders:
      type: object
      properties:
        enabled:
          description: >
            `true` if the module will be applied to traffic, `false` to disable.
            default `true` if unspecified
          type: boolean
        add:
          description: >
            a map of header key to header value that will be injected into the
            HTTP Response returned to the HTTP client
          type: object
        remove:
          description: >
            a list of header names that will be removed from the HTTP Response
            returned to the HTTP client
          type: array
          items:
            type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````